package de.intevation.flys.utils;

import de.intevation.flys.artifacts.model.LayerInfo;
import de.intevation.flys.artifacts.model.RiverFactory;
import de.intevation.flys.model.River;

import java.util.List;

public class RiverMapfileGenerator extends MapfileGenerator {

    /**
     * Generate river axis mapfile.
     */
    @Override
    protected void generate() {
        List<River> rivers = RiverFactory.getRivers();

        for (River river : rivers) {
            createRiverAxisLayer(
                    river.getName(),
                    river.getId(),
                    "41677",
                    "100,100,100,100");
        }
    }

    protected void createRiverAxisLayer(String riverName, int riverID, String srid, String extend) {
        LayerInfo layerInfo = new LayerInfo();
        layerInfo.setName(riverName);
        layerInfo.setSrid(srid);
        layerInfo.setExtent(extend);
    }

}
